> ## Documentation Index
> Fetch the complete documentation index at: https://hmis-docs.derrickmugabwa.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Reschedule a patient appointment



## OpenAPI

````yaml /openapi-patient.yaml post /patient/appointments/{appointment}/reschedule
openapi: 3.1.0
info:
  title: HMIS Patient Mobile API
  version: 1.0.0
  description: >-
    Patient-owned authentication, appointment, clinical record, and billing
    operations.
servers:
  - url: https://jaliprohmis.derrickmugabwa.dev/api/v1
    description: HMIS staging API
security:
  - bearerAuth: []
tags:
  - name: Patient authentication
  - name: Patient profile
  - name: Patient appointments
  - name: Patient records
  - name: Patient billing
paths:
  /patient/appointments/{appointment}/reschedule:
    post:
      tags:
        - Patient appointments
      summary: Reschedule a patient appointment
      operationId: reschedulePatientAppointment
      parameters:
        - $ref: '#/components/parameters/AppointmentId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppointmentChangeRequest'
      responses:
        '201':
          $ref: '#/components/responses/ObjectResponse'
        '404':
          $ref: '#/components/responses/NotFound'
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  parameters:
    AppointmentId:
      name: appointment
      in: path
      required: true
      schema:
        type: integer
  schemas:
    AppointmentChangeRequest:
      type: object
      required:
        - appointment_date
        - clinic_schedule_slot_id
      properties:
        appointment_date:
          type: string
          format: date
        clinic_schedule_slot_id:
          type: integer
        reason:
          type:
            - string
            - 'null'
          maxLength: 2000
    ObjectEnvelope:
      type: object
      properties:
        data:
          type: object
          additionalProperties: true
  responses:
    ObjectResponse:
      description: Patient-owned resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ObjectEnvelope'
    NotFound:
      description: Resource is unavailable or does not belong to the authenticated patient.
    ValidationError:
      description: Request validation failed.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum patient device token

````